#!/usr/bin/env bash
image_version=$version
# 删除镜像
docker rmi -f $(
  docker images | grep 139.224.254.18:5000/telpo_kafka_console | awk '{print $3}'
)
# 构建telpo/mrp:$image_version镜像
docker build -f ./TelpoKafkaConsole.WebApi/Dockerfile . -t telpo/telpo_kafka_console:$image_version
#TODO:推送镜像到私有仓库
echo '=================开始推送镜像======================='
docker tag telpo/telpo_kafka_console:$image_version 139.224.254.18:5000/telpo_kafka_console:$image_version
docker push 139.224.254.18:5000/telpo_kafka_console:$image_version
echo '=================推送镜像完成======================='
#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images